'\"t
.if t .TH IMCLTFREE 3IM "September 23, 1991" "San Diego Supercomputer Center" "SDSC IMAGE LIBRARY"
.if n .TH IMCLTFREE 3IM "September 23, 1991" "SDSC" "SDSC IMAGE LIBRARY"
.SH NAME
ImCltFree - free the storage for a color lookup table
.SH SYNOPSIS
\fB
.nf
#include "im.h"

void ImCltFree( srcClt )
	ImClt *srcClt ;
.fi
\fR
.SH DESCRIPTION
\fBImCltFree\fR frees the dynamic storage for color lookup table \fIsrcClt\fR.
\fIsrcClt\fR is no longer valid after this call and should not be used.
.SH NOTES
It is assumed that \fIsrcClt\fR was originally allocated with
\fBImCltAlloc\fR (3IM).
.LP
If \fIsrcClt\fR is attached to a virtual frame buffer (see
\fBImVfbSClt\fR (3IM)), it should be freed using \fBImCltFree\fR prior to
freeing the virtual frame buffer using \fBImVfbFree\fR (3IM).
.SH RETURNS
\fBImCltFree\fR returns nothing.
.SH SEE ALSO
\fBImIntro\fR (3IM),
\fBImErrNo\fR (3IM),
\fBImCltAlloc\fR (3IM),
\fBImCltDup\fR (3IM),
\fBImCltGrayRamp\fR (3IM),
\fBImCltQBlue\fR (3IM),
\fBImCltQFirst\fR (3IM),
\fBImCltQGreen\fR (3IM),
\fBImCltQLast\fR (3IM),
\fBImCltQNColors\fR (3IM),
\fBImCltQNext\fR (3IM),
\fBImCltQPrev\fR (3IM),
\fBImCltQPtr\fR (3IM),
\fBImCltQRed\fR (3IM),
\fBImCltSBlue\fR (3IM),
\fBImCltSDec\fR (3IM),
\fBImCltSGreen\fR (3IM),
\fBImCltSInc\fR (3IM),
\fBImCltSRed\fR (3IM),
\fBImVfbQClt\fR (3IM),
\fBImVfbSClt\fR (3IM)
.SH AUTHOR
Mike Bailey
.br
San Diego Supercomputer Center
.SH CONTACT
SDSC consultants, (619)534-5100, \fBconsult@y1.sdsc.edu\fR
.br

