#define RAW_FILE_HEADER_MAGIC 0x12345678
#define RAW_FRAME_HEADER_MAGIC 0x12345678

struct rawFileHead {
    int magic;        /* RAW_FILE_HEADER_MAGIC defined above */
    int width;        /* = 288 pixels */
    int height;       /* = 224 pixels */
    int spp;          /* = 3 samples per pixel */
    int frameCnt;     /* should be total frames but any larger number is ok. */
};

struct rawFrameHead {
    int magic;       /* RAW_FRAME_HEADER_MAGIC defined above */
    int time;        /* should be time offset from start but really not used */
};

#define RAW_FILE_HEADER_SIZE sizeof(struct rawHead)
#define RAW_FRAME_HEADER_SIZE sizeof(struct rawFrameHead)

typedef int HALF_BYTES;
typedef int HALF_BYTE_PTR;

#define COMP_VAL(P) (((int)(P) & 0x01) \
    ? ((*(unsigned char *)((int)(P) >> 1) & 0x0f) << 4) \
    : (*(unsigned char *)((int)(P) >> 1) & 0xf0))
